<?php get_header();?>

<div class="wrap">
	<div id="content">
		<div id="content-main">


<?php if (have_posts()) : 

						// check for thumbnail
						$thumb = get_post_meta($post->ID, 'Thumbnail', $single = true);
						// check for thumbnail class
						$thumb_class = get_post_meta($post->ID, 'Thumbnail Class', $single = true);
						// check for thumbnail alt text
						$thumb_alt = get_post_meta($post->ID, 'Thumbnail Alt', $single = true);

?>
	<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
    
    <?php /* If this is a category archive */ if (is_category()) { ?>				
	<h2 class="pagetitle">Archive for the '<?php echo single_cat_title(); ?>' Category</h2>
		
 	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
	<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
		
	<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
	<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>

	<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
	<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
		
	 <?php /* If this is a search */ } elseif (is_search()) { ?>
	<h2 class="pagetitle">Search Results</h2>
		
	 <?php /* If this is an author archive */ } elseif (is_author()) { ?>
	<h2 class="pagetitle">Author Archive</h2>

	<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
	<h2 class="pagetitle">Blog Archives</h2>

	<?php } ?><br />
	<?php while (have_posts()) : the_post(); ?>
				
		<div class="post" id="post-<?php the_ID(); ?>">
			<h2><a href="<?php the_permalink() ?>" class="titlelink" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<h3><img src="<?php bloginfo('stylesheet_directory');?>/img/icon_published.gif" border="0" align="absmiddle" /> <font color="#999999">Published on</font> <?php the_time('M jS, Y') ?> <font color="#999999">in</font> <?php the_category(', ') ?> | <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></h3>
				
				<div class="entry">

						<?php // if there's a thumbnail
						if($thumb !== '') { ?>
						<p>
						<img src="<?php echo $thumb; ?>"
						class="<?php if($thumb_class !== '') { echo $thumb_class; } else { echo "left"; } ?>"
						alt="<?php if($thumb_alt !== '') { echo $thumb_alt; } else { echo the_title(); } ?>"
						/>
						</p>
						<?php } // end if statement

						// if there's not a thumbnail
						else { echo ''; } ?>


					<?php the_excerpt(); ?>
					<p><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">Read Full Post &#187;</a></p><br />
					<?php comments_template(); ?>
				</div>	
			</div>
	
				<?php endwhile; ?>
		
		<?php else : ?>

				<h2 class="center">Not Found</h2>
				<p class="center">Sorry, but you are looking for something that isn't here.</p>
				
	<?php endif; ?>
				<p><?php posts_nav_link(' &#8212; ', __('&larr; Previous Page'), __('Next Page &rarr;')); ?></p>

		<div id="content-sidebar"><?php get_sidebar();?></div>
	
			</div><!-- end id:content-main -->
		

		
	</div><!-- end id:content -->
</div><!-- end id:wrap -->

<?php get_footer();?>